diff deploy/osx/deploy-and-package.sh @ 2377:995a4014a5c8

Further Mac deployment updates
author Chris Cannam
date Wed, 16 Oct 2019 15:29:37 +0100
parents 9ca6872a5d0f
children 19cb6df86ef2
line wrap: on
line diff
--- a/deploy/osx/deploy-and-package.sh	Wed Oct 16 15:29:03 2019 +0100
+++ b/deploy/osx/deploy-and-package.sh	Wed Oct 16 15:29:37 2019 +0100
@@ -1,6 +1,19 @@
 #!/bin/bash
 
-set -eu
+# Run this from the project root, without arguments, or with the
+# single argument --no-notarization to skip the notarize step
+
+set -e
+
+notarize=yes
+if [ "$1" = "--no-notarization" ]; then
+    notarize=no
+elif [ -n "$1" ]; then
+    echo "Usage: $0 [--no-notarization]"
+    exit 2
+fi
+
+set -u
 
 app="Sonic Visualiser"
 
@@ -9,7 +22,7 @@
 source="$app.app"
 volume="$app"-"$version"
 target="$volume"/"$app".app
-dmg="$app"-"$version".dmg
+dmg="$volume".dmg
 
 if [ -d "$volume" ]; then
     echo "Target directory $volume already exists, not overwriting"
@@ -21,6 +34,11 @@
     exit 2
 fi
 
+if [ "$notarize" = no ]; then
+    echo
+    echo "Note: The --no-notarization flag is set: won't be submitting for notarization"
+fi
+
 echo
 echo "(Re-)running deploy script..."
 
@@ -66,9 +84,14 @@
 
 codesign -s "Developer ID Application: Chris Cannam" -fv "$dmg"
 
-echo
-echo "Submitting dmg for notarization..."
+if [ "$notarize" = no ]; then
+    echo
+    echo "The --no-notarization flag was set: not submitting for notarization"
+else
+    echo
+    echo "Submitting dmg for notarization..."
 
-deploy/osx/notarize.sh "$dmg" || exit 1
+    deploy/osx/notarize.sh "$dmg" || exit 1
+fi
 
 echo "Done"